Run of fresh-releases for pyexcel

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
[2022-05-24 21:16:04] Opening branch at https://gitlab.com/kalilinux/packages/pyexcel.git/,branch=kali%2Fmaster
[2022-05-24 21:16:04] Using cached branch https://janitor.kali.org/git/pyexcel/,branch=kali%2Flatest
[2022-05-24 21:16:05] Total 14948 (delta 96), reused 14852 (delta 0)
[2022-05-24 21:16:12] Total 14452 (delta 2529), reused 11923 (delta 0)
[2022-05-24 21:16:18] Total 21 (delta 4), reused 2 (delta 0), pack-reused 8
[2022-05-24 21:16:19] All changes applied successfully.
[2022-05-24 21:16:25] Workspace ready - starting.
[2022-05-24 21:16:25] Running ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2022-05-24 21:16:25] Assuming changelog does not need to be updated, since there is a [dch] section in gbp.conf.
Using upstream branch https://github.com/pyexcel/pyexcel.git (from configuration)
Total 15185 (delta 306), reused 448 (delta 301), pack-reused 14696
Using version string 0.7.0.
No upstream upstream-revision format specified, trying tag:0.5.14
No upstream upstream-revision format specified, trying tag:pyexcel-0.5.14
No upstream upstream-revision format specified, trying tag:v0.5.14
Not including upstream history, since previous upstream version (0.5.14) is not present in packaging branch history.
Using uscan to look for the upstream tarball.
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/Devscripts/Uscan/WatchLine.pm line 868.
uupdate: debian/source/format is "3.0 (quilt)".
uupdate: Auto-generating pyexcel_0.5.14-0kali3.debian.tar.xz
uupdate: -> Copy to      pyexcel_0.7.0-1.debian.tar.xz
Imported pyexcel_0.7.0.orig.tar.gz with pristine-tar.
All changes applied successfully.
Found tag for topmost changelog version '20525ee26c3dbc21b749ebe93a4584061f629d18'
Committing to: /home/janitor/tmp/janitorx1j0e29s/pyexcel/
modified .github/FUNDING.yml
added .github/PULL_REQUEST_TEMPLATE.md
added .github/workflows
added .github/workflows/lint.yml
added .github/workflows/moban-update.yml
added .github/workflows/pythonpublish.yml
added .github/workflows/tests.yml
modified .gitignore
added .isort.cfg
deleted .moban.d/README.rst
added .moban.d/docs/source/bigdata.rst.jj2
modified .moban.d/docs/source/custom_conf.py.jj2
renamed .moban.d/docs/source/guide.rst => .moban.d/docs/source/guide.rst.jj2
modified .moban.d/docs/source/pyexcel-index.rst.jj2
added .moban.d/docs/source/quickstart.rst.jj2
added .moban.d/docs/source/two-liners.rst.jj2
renamed .moban.d/minimum_requirements.txt => .moban.d/minimum_requirements.txt.jj2
added .moban.d/pyexcel-README.rst.jj2
added .moban.d/pyexcel-travis.yml.jj2
renamed .moban.d/setup.py => .moban.d/custom_setup.py.jj2
added .moban.d/supported-file-list.rst.jj2
deleted .moban.d/test.bat
deleted .moban.d/test.sh
renamed .moban.d/tests/requirements.txt => .moban.d/tests/custom_requirements.txt.jj2
deleted .moban.d/travis.yml
modified .moban.yml
added .readthedocs.yml
deleted .travis.yml
modified CHANGELOG.rst
added CONTRIBUTORS.rst
modified LICENSE
modified MANIFEST.in
modified Makefile
modified README.rst
modified changelog.yml
modified debian/changelog
modified docs/requirements.txt
modified docs/source/_static/images/architecture.svg
modified docs/source/api.rst
modified docs/source/attributes.rst
renamed docs/source/bigdata.rst => .moban.d/partial-data.rst.jj2
modified docs/source/bigdata.rst
modified docs/source/book.rst
modified docs/source/conf.py
modified docs/source/database.rst
modified docs/source/design.rst
deleted docs/source/generated/pyexcel.Sheet.columns.rst
deleted docs/source/generated/pyexcel.Sheet.enumerate.rst
added docs/source/generated/pyexcel.Sheet.project.rst
deleted docs/source/generated/pyexcel.Sheet.rcolumns.rst
deleted docs/source/generated/pyexcel.Sheet.reverse.rst
deleted docs/source/generated/pyexcel.Sheet.rows.rst
deleted docs/source/generated/pyexcel.Sheet.rrows.rst
modified docs/source/generated/pyexcel.Sheet.rst
deleted docs/source/generated/pyexcel.Sheet.rvertical.rst
deleted docs/source/generated/pyexcel.Sheet.vertical.rst
modified docs/source/guide.rst
modified docs/source/iapi/pyexcel.internal.sheets.Matrix.rst
modified docs/source/index.rst
modified docs/source/migration_guide.rst
renamed docs/source/quickstart.rst => .moban.d/one-liners.rst.jj2
modified docs/source/quickstart.rst
modified docs/source/renderers.rst
modified docs/source/sheet.rst
modified docs/source/sources.rst
modified docs/source/tutorial.rst
modified docs/source/tutorial_file.rst
renamed docs/source/two-liners.rst => .moban.d/two-liners.rst.jj2
modified docs/source/two-liners.rst
modified docs/source/uml/architecture.uml
added format.sh
modified lint.sh
modified min_requirements.txt
modified pyexcel.yml
modified pyexcel/__init__.py
modified pyexcel/__version__.py
modified pyexcel/_compact.py
modified pyexcel/book.py
modified pyexcel/constants.py
modified pyexcel/cookbook.py
modified pyexcel/core.py
modified pyexcel/deprecated.py
modified pyexcel/docstrings/__init__.py
modified pyexcel/docstrings/core.py
modified pyexcel/docstrings/keywords.py
modified pyexcel/docstrings/meta.py
modified pyexcel/exceptions.py
deleted pyexcel/ext
deleted pyexcel/ext/__init__.py
deleted pyexcel/ext/ods.py
deleted pyexcel/ext/ods3.py
deleted pyexcel/ext/text.py
deleted pyexcel/ext/xls.py
deleted pyexcel/ext/xlsx.py
modified pyexcel/internal/__init__.py
modified pyexcel/internal/attributes.py
modified pyexcel/internal/common.py
modified pyexcel/internal/core.py
modified pyexcel/internal/garbagecollector.py
modified pyexcel/internal/generators.py
modified pyexcel/internal/meta.py
modified pyexcel/internal/plugins.py
modified pyexcel/internal/sheets/__init__.py
modified pyexcel/internal/sheets/_shared.py
modified pyexcel/internal/sheets/column.py
modified pyexcel/internal/sheets/formatters.py
modified pyexcel/internal/sheets/matrix.py
modified pyexcel/internal/sheets/row.py
modified pyexcel/internal/source_plugin.py
modified pyexcel/parser.py
modified pyexcel/plugins/__init__.py
modified pyexcel/plugins/parsers/__init__.py
modified pyexcel/plugins/parsers/django.py
modified pyexcel/plugins/parsers/excel.py
modified pyexcel/plugins/parsers/sqlalchemy.py
modified pyexcel/plugins/renderers/__init__.py
modified pyexcel/plugins/renderers/_texttable.py
modified pyexcel/plugins/renderers/django.py
modified pyexcel/plugins/renderers/excel.py
modified pyexcel/plugins/renderers/sqlalchemy.py
modified pyexcel/plugins/sources/__init__.py
modified pyexcel/plugins/sources/db_sources.py
modified pyexcel/plugins/sources/django.py
modified pyexcel/plugins/sources/file_input.py
modified pyexcel/plugins/sources/file_output.py
modified pyexcel/plugins/sources/http.py
modified pyexcel/plugins/sources/memory_input.py
modified pyexcel/plugins/sources/output_to_memory.py
modified pyexcel/plugins/sources/params.py
modified pyexcel/plugins/sources/pydata/arraysource.py
modified pyexcel/plugins/sources/pydata/bookdict.py
modified pyexcel/plugins/sources/pydata/common.py
modified pyexcel/plugins/sources/pydata/dictsource.py
modified pyexcel/plugins/sources/pydata/records.py
modified pyexcel/plugins/sources/querysets.py
modified pyexcel/plugins/sources/sheet_stream_source.py
modified pyexcel/plugins/sources/sqlalchemy.py
modified pyexcel/renderer.py
modified pyexcel/sheet.py
modified pyexcel/source.py
modified requirements.txt
modified rnd_requirements.txt
modified setup.py
modified test.bat
modified test.sh
modified tests/base.py
added tests/fixtures/issue_241
added tests/fixtures/issue_241/1.csv
added tests/fixtures/issue_241/2.csv
modified tests/requirements.txt
modified tests/test_book.py
modified tests/test_bug_fixes.py
deleted tests/test_deprecation_notes.py
modified tests/test_file_type_as_attribute.py
modified tests/test_formatters.py
modified tests/test_gabagecollector.py
modified tests/test_http_source.py
modified tests/test_internals.py
modified tests/test_iterator.py
modified tests/test_multiple_sheets.py
added tests/test_sheet.py
added tests/test_sheet_access.py
modified tests/test_sheet_attributes.py
modified tests/test_sheet_column.py
modified tests/test_sheet_row.py
modified tests/test_sheet_stream.py
modified tests/test_sheets.py
modified tests/test_utils.py
Committed revision 30.
Merged new upstream version 0.7.0 (previous: 0.5.14)
Refresh quilt patches.
Committing to: /home/janitor/tmp/janitorx1j0e29s/pyexcel/
modified debian/patches/drop-failing-test.patch
modified debian/patches/fix-typo.patch
Committed revision 31.
Merge new upstream version 0.7.0
[2022-05-24 21:18:01] Actual command: ['deb-new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2022-05-24 21:18:01] Opened schroot session kali-dev-amd64-sbuild-9c83005f-6e6d-4fc5-ad39-50bababdcfeb (from kali-dev-amd64-sbuild)
[2022-05-24 21:18:01] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, debcargo_coerce_unacceptable_prerelease), SimpleBuildFixer(DebcargoUnacceptableComparator, debcargo_coerce_unacceptable_prerelease), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f0287a9c588>, [functools.partial(<function python_tie_breaker at 0x7f0284bb90d0>, <GitWorkingTree of /home/janitor/tmp/janitorx1j0e29s/pyexcel>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-9c83005f-6e6d-4fc5-ad39-50bababdcfeb'), <function popcon_tie_breaker at 0x7f0284bbb9d8>]))]
[2022-05-24 21:18:01] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2022-05-24 21:29:55] Attempting to use fixer upstream requirement fixer(apt) to address MissingPythonModule('sphinxcontrib', python_version=None, minimum_version=None)
[2022-05-24 21:29:55] Loading apt contents information
Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 205, in build
    args, cwd=local_tree.abspath(subpath), stdout=outf, stderr=outf, env=env
  File "/usr/lib/python3.7/subprocess.py", line 347, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'breezy', 'builddeb', '--guess-upstream-branch-url', '--builder=sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes', '--result-dir=/home/janitor/tmp/janitorx1j0e29s']' returned non-zero exit status 3.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 232, in build_once
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 208, in build
    raise BuildFailedError()
breezy.plugins.debian.builder.BuildFailedError: The build failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/fix_build.py", line 534, in build_incrementally
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 308, in attempt_build
    extra_repositories=extra_repositories,
  File "/opt/janitor/ognibuild/ognibuild/debian/build.py", line 244, in build_once
    sbuild_failure.description)
ognibuild.debian.build.DetailedDebianBuildFailure: ('build', ('build',), None, ['sbuild', '-Asv', '--dpkg-file-suffix=+jan', '--force-orig-source', '--source-only-changes'], MissingPythonModule('sphinxcontrib', python_version=None, minimum_version=None), 'Missing python module: sphinxcontrib')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/urllib/request.py", line 1324, in do_open
    encode_chunked=req.has_header('Transfer-encoding'))
  File "/usr/lib/python3.7/http/client.py", line 1260, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1306, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1255, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.7/http/client.py", line 1030, in _send_output
    self.send(msg)
  File "/usr/lib/python3.7/http/client.py", line 970, in send
    self.connect()
  File "/usr/lib/python3.7/http/client.py", line 942, in connect
    (self.host,self.port), self.timeout, self.source_address)
  File "/usr/lib/python3.7/socket.py", line 707, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
  File "/usr/lib/python3.7/socket.py", line 748, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Temporary failure in name resolution

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 131, in load_direct_url
    response = urlopen(request)
  File "/usr/lib/python3.7/urllib/request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.7/urllib/request.py", line 525, in open
    response = self._open(req, data)
  File "/usr/lib/python3.7/urllib/request.py", line 543, in _open
    '_open', req)
  File "/usr/lib/python3.7/urllib/request.py", line 503, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.7/urllib/request.py", line 1352, in http_open
    return self.do_open(http.client.HTTPConnection, req)
  File "/usr/lib/python3.7/urllib/request.py", line 1326, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -3] Temporary failure in name resolution>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/janitor/worker.py", line 1044, in run_worker
    force_build=force_build
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/janitor/janitor/worker.py", line 790, in process_package
    ws, subpath, output_directory, env)
  File "/opt/janitor/janitor/worker.py", line 385, in build
    max_iterations=MAX_BUILD_ITERATIONS
  File "/opt/janitor/ognibuild/ognibuild/debian/fix_build.py", line 551, in build_incrementally
    if not resolve_error(e.error, e.phase, fixers):
  File "/opt/janitor/ognibuild/ognibuild/fix_build.py", line 145, in resolve_error
    made_changes = fixer.fix(error, phase)
  File "/opt/janitor/ognibuild/ognibuild/debian/fix_build.py", line 163, in fix
    apt_req = self.apt_resolver.resolve(req)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 905, in resolve
    ret = resolve_requirement_apt(self.apt, req)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 826, in resolve_requirement_apt
    ret = rr_fn(apt_mgr, req)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 693, in resolve_python_module_req
    return get_package_for_python_module(apt_mgr, req.module, "cpython3", specs)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 310, in get_package_for_python_module
    names = find_package_names(apt_mgr, paths, regex=True)
  File "/opt/janitor/ognibuild/ognibuild/resolver/apt.py", line 163, in find_package_names
    return apt_mgr.get_packages_for_paths(paths, regex, case_insensitive)
  File "/opt/janitor/ognibuild/ognibuild/debian/apt.py", line 111, in get_packages_for_paths
    paths, self.searchers(), regex=regex, case_insensitive=case_insensitive
  File "/opt/janitor/ognibuild/ognibuild/debian/apt.py", line 86, in searchers
    get_apt_contents_file_searcher(self.session),
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 234, in get_apt_contents_file_searcher
    return RemoteContentsFileSearcher.from_session(session)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 246, in from_session
    self.load_from_session(session)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 290, in load_from_session
    self._load_urls(urls, cache_dirs, load_url)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 295, in _load_urls
    f = load_url(url)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 285, in load_url
    return load_url_with_cache(url, cache_dirs)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 152, in load_url_with_cache
    return load_direct_url(url)
  File "/opt/janitor/ognibuild/ognibuild/debian/file_search.py", line 139, in load_direct_url
    'Unable to access apt URL %s: %s' % (url + ext, e))
ognibuild.debian.file_search.AptFileAccessError: Unable to access apt URL http://repo.aptly.info/dists/squeeze/main/Contents-amd64.xz: <urlopen error [Errno -3] Temporary failure in name resolution>
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches to deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches --skip-empty
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☑ change set e160f235-4c18-4d26-b461-3aeaccbce41c is ready
  • ☑ merge proposals for previous run were not rejected: status.